MIPField.h File Reference

Contains the MIPField class. More...

`#include <vector>`
`#include <boost/lexical_cast.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include "EmptyField.h"`
`#include "MIPBase.h"`
`#include "MIPInterp.h"`
`#include "MIPUtil.h"`
`#include "DenseField.h"`
`#include "SparseField.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

class | MIPDenseField< Data_T >
class | MIPField< Field_T >
| This subclass stores a MIP representation of a Field_T field. More...
class | MIPSparseField< Data_T >

## Namespaces

namespace | Exc
| Namespace for Exception objects.

## Variables

template<typename Field_T>
NestedFieldType< MIPField< Field_T > > | MIPField< Field_T >::ms_classType

## Detailed Description

Contains the MIPField class.

Definition in file MIPField.h.

## Variable Documentation

## MIPField< Field_T >::ms_classType

template<typename Field_T>

NestedFieldType<MIPField<Field_T> > MIPField< Field_T >::ms_classType

Initial value:
=
NestedFieldType<MIPField<Field_T> >()
NestedFieldType
Used to return a string for the name of a nested templated field.
Definition Traits.h:307

Definition at line 765 of file MIPField.h.